{if !empty($cHinweis)}<div class="alert alert-success">{$cHinweis}</div>{/if}
{if !empty($cError)}<div class="alert alert-danger">{$cError}</div>{/if}
<style>
.input-group-prepend .input-group-text {
    min-width:250px;
    white-space:nowrap !important;
    text-overflow:ellipsis;
    overflow:hidden;
    display:block;
}

.css-plugin-panel .panel-title {
    padding:5px 10px;
    background-color:#f9f9f9;
    margin-bottom:5px;
}

.content-header .inner {
    display:none;
}

.content-header.well {
    padding-bottom:0px;
}

.content-header.well .actions .btn{
    padding-top:0px;
}
.content-header.well h1 {
    font-size:20px;
    margin-bottom:0px;
}


.content-header > .css-more-button .fa {
    position:relative;
    top:8px;
    -webkit-transition: all 0.8s ease-in-out;
    -o-transition: all 0.8s ease-in-out;
    transition: all 0.8s ease-in-out;}

.content-header.in > .css-more-button .fa {
    -moz-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    -o-transform: rotate(180deg);
    -webkit-transform: rotate(180deg);

}


.content-header > .css-more-button {
    cursor:pointer;
    font-size:20px;
    color:#1c9dd9;
    font-weight:bold;
    padding-bottom:5px;
}

.css-label {
    width:350px;
    white-space:normal;
    text-align:left
}

</style>
{literal}
<script>
    var cssHashCode  = function() {
        var hash = 5381, i = this.length
        while(i)
            hash = (hash * 33) ^ this.charCodeAt(--i)
        return hash >>> 0;
    };

    jQuery(document).ready(function() {
        cssHashCode(document.location.href);
        $('.tabs-nav a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
            var target = $(e.target).attr("href") // activated tab
            $.cookie('target', target, {expires: 7});
        });

        if ($.cookie('target') != 'undefined') {
            $(".tabs-nav li.nav-item a[href='" + $.cookie('target') + "']").tab('show');
        }

        $(".content-header").addClass("css-content");

        $(".css-content ").each(function() {
            $(this).html('<div class="inner">' + $(this).html() + '</div>').append('<div class="text-center css-more-button"><span class="fa fa-angle-double-down"></span></div>');
        });

        $(".content-header").prepend($(".css-content .row").remove());

        $("body").on("click",".css-more-button", function() {
            $(this).closest(".css-content").addClass("load");
            if($(this).closest(".css-content").hasClass("in")) {
            } else {
                $("body .css-content.in").not(".load").removeClass("in").find(".inner.in").slideUp(500).removeClass("in");
            }
            $(this).closest(".css-content").removeClass("load");
            $(this).closest(".css-content").find(".inner").slideDown(500, function() {
                if($(this).closest(".versandoption").length) {
                    $([document.documentElement, document.body]).animate({
                        scrollTop: $(this).closest(".versandoption").offset().top - 100
                    }, 1000);
                }
            });
            $(this).closest(".css-content").find(".inner.in").slideUp(500);
            $(this).closest(".css-content").find(".inner").toggleClass("in");
            $(this).closest(".css-content").toggleClass("in");
        });



    });
</script>
{/literal}


<form method="post">
    {$jtl_token}
    <input type="hidden" name="cssAdminConfigAction" value="saveConfig" />

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Plugin Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text css-label">{__('Fahnen-Konfiguration generelle Funktion')}</span>
            </div>
            <select id="pluginActive" name="pluginActive" class="form-control">
                <Option {if $pluginConfig->pluginActive=='Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>
                <Option {if $pluginConfig->pluginActive=='N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob die Fahnen-Konfigurationen aktiv sind.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text css-label">{__('ARA-Marketing Sprach Server')}</span>
            </div>
            <input type="text" name="server" class="form-control" value="{$pluginConfig->server}" placeholder="{__('https://s5.ara-marketing.de')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte tragen Sie die Url des Sprach Servers ein.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text css-label">{__('Template Framework')}</span>
            </div>
            <select id="framework" name="framework" class="form-control">
                <Option {if $pluginConfig->framework=='B3'} selected {/if} value="B3">{__('Bootstrap 3 (z.B. EVO)')}</Option>
                <Option {if $pluginConfig->framework=='B4'} selected {/if} value="B4">{__('Bootstrap 4 (z.B. NOVA)')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier geben Sie an, welches Framework Ihr Template nutzt, Wenn Sie es nicht wissen, fragen Sie bitte den Hersteller des Templates.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text css-label">{__('Auswahl der Flaggen')}</span>
            </div>
            <select id="flag_change" name="flag_change" class="form-control">
                <Option {if $pluginConfig->flag_change=='R'} selected {/if} value="R">{__('Runde Flaggen')}</Option>
                <Option {if $pluginConfig->flag_change=='E'} selected {/if} value="E">{__('Eckige Flaggen')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Mit dieser Funktion können Sie die Flaggen zwischen rund und eckig wechseln.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
    </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Konfiguration der Sprachauswahl im Header')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text css-label">{__('Bisherige Sprachauswahl im Header überschreiben?')}</span>
            </div>
            <select id="change_header_lang" name="change_header_lang" class="form-control">
                <Option {if $pluginConfig->change_header_lang=='Y'} selected {/if} value="Y">{__('Ja')}</Option>
                <Option {if $pluginConfig->change_header_lang=='N'} selected {/if} value="N">{__('Nein')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Mit dieser Funktion wird die bisherige Sprachauswahl des Shops im Header überschrieben.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>



        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text css-label">{__('Bisheriger Selector der Sprachenauswahl im Header')}</span>
            </div>
            <input type="text" name="selector_header_lang" class="form-control" value="{$pluginConfig->selector_header_lang}" placeholder="{__('selector')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte tragen Sie den bisherigen Selector der Sprachauswahl im Header ein.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text css-label">{__('Selector für die neue Position der Sprachenauswahl im Header')}</span>
            </div>
            <input type="text" name="new_selector_header_lang" class="form-control" value="{$pluginConfig->new_selector_header_lang}" placeholder="{__('selector')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte tragen Sie den Selector ein, wo die Sprachauswahl nun neu erscheinen soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text css-label">{__('Art der Einbindung im Header')}</span>
            </div>
            <select id="position_header_lang" name="position_header_lang" class="form-control">
                <Option {if $pluginConfig->position_header_lang=='off'} selected {/if} value="off">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->position_header_lang=='prepend'} selected {/if} value="prepend">{__('Am Anfang des Elements')}</Option>
                <Option {if $pluginConfig->position_header_lang=='append'} selected {/if} value="append">{__('Am Ende des Elements')}</Option>
                <Option {if $pluginConfig->position_header_lang=='before'} selected {/if} value="before" >{__('vor dem Element')}</Option>
                <Option {if $pluginConfig->position_header_lang=='after'} selected {/if} value="after" >{__('Nach dem Element')}</Option>
                <Option {if $pluginConfig->position_header_lang=='html'} selected {/if} value="html" >{__('Inhalt des Elements ersetzen')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie an, wie Sie die Auswahl einfügen möchten.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text css-label">{__('Sprachauswahl im Header als Dropdown anzeigen?')}</span>
            </div>
            <select id="dropdown_header_lang" name="dropdown_header_lang" class="form-control">
                <Option {if $pluginConfig->dropdown_header_lang=='Y'} selected {/if} value="Y">{__('Ja')}</Option>
                <Option {if $pluginConfig->dropdown_header_lang=='N'} selected {/if} value="N">{__('Nein')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Mit dieser Option wird die Ansicht der Sprachauswahl im Header konfiguriert.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Konfiguration der Mobilen Sprachauswahl im Header')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text css-label">{__('In der mobilen Navigation aktivieren?')}</span>
            </div>
            <select id="show_mobile_lang" name="show_mobile_lang" class="form-control">
                <Option {if $pluginConfig->show_mobile_lang=='Y'} selected {/if} value="Y">{__('Ja')}</Option>
                <Option {if $pluginConfig->show_mobile_lang=='N'} selected {/if} value="N">{__('Nein')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Mit dieser Funktion wird im Mobilen Men&uuml; auch eine Sprachauswahl angezeigt.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>



        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text css-label">{__('Selector für die Sprachenauswahl im Mobile Menü')}</span>
            </div>
            <input type="text" name="selector_mobile_lang" class="form-control" value="{$pluginConfig->selector_mobile_lang}" placeholder="{__('selector')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte tragen Sie den Selector der Sprachauswahl im Mobile Menü ein.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text css-label">{__('Art der Einbindung im Mobile Menü')}</span>
            </div>
            <select id="position_mobile_lang" name="position_mobile_lang" class="form-control">
                <Option {if $pluginConfig->position_mobile_lang=='off'} selected {/if} value="off">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->position_mobile_lang=='prepend'} selected {/if} value="prepend">{__('Am Anfang des Elements')}</Option>
                <Option {if $pluginConfig->position_mobile_lang=='append'} selected {/if} value="append">{__('Am Ende des Elements')}</Option>
                <Option {if $pluginConfig->position_mobile_lang=='before'} selected {/if} value="before" >{__('vor dem Element')}</Option>
                <Option {if $pluginConfig->position_mobile_lang=='after'} selected {/if} value="after" >{__('Nach dem Element')}</Option>
                <Option {if $pluginConfig->position_mobile_lang=='html'} selected {/if} value="html" >{__('Inhalt des Elements ersetzen')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie an, wie Sie die Auswahl einfügen möchten.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text css-label">{__('Zusätzliche Klasse für die Formatierung (optional)')}</span>
            </div>
            <input type="text" name="class_mobile_lang" class="form-control" value="{$pluginConfig->class_mobile_lang}" placeholder="{__('css Klassen')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Tragen Sie hier zusätzliche Klassen ein um die Sichtbarkeit oder andere Styles individueller zu steuern.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
    </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Konfiguration der Sprachauswahl im Footer')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text css-label">{__('Zusätzliche Sprachauswahl gewünscht?')}</span>
            </div>
            <select id="change_footer_lang" name="change_footer_lang" class="form-control">
                <Option {if $pluginConfig->change_footer_lang=='Y'} selected {/if} value="Y">{__('Ja')}</Option>
                <Option {if $pluginConfig->change_footer_lang=='N'} selected {/if} value="N">{__('Nein')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Mit dieser Funktion können Sie eine zusätzliche Sprachauswahl erstellen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text css-label">{__('Bisheriger Selector')}</span>
            </div>
            <input type="text" name="selector_footer_lang" class="form-control" value="{$pluginConfig->selector_footer_lang}" placeholder="{__('selector')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte tragen Sie den bisherigen Selector ein, falls er überschrieben werden soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text css-label">{__('Selector für die  Position der Sprachenauswahl')}</span>
            </div>
            <input type="text" name="new_selector_footer_lang" class="form-control" value="{$pluginConfig->new_selector_footer_lang}" placeholder="{__('selector')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte tragen Sie den Selector ein, wo die Sprachauswahl nun erscheinen soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text css-label">{__('Art der Einbindung im Footer')}</span>
            </div>
            <select id="position_footer_lang" name="position_footer_lang" class="form-control">
                <Option {if $pluginConfig->position_footer_lang=='off'} selected {/if} value="off">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->position_footer_lang=='prepend'} selected {/if} value="prepend">{__('Am Anfang des Elements')}</Option>
                <Option {if $pluginConfig->position_footer_lang=='append'} selected {/if} value="append">{__('Am Ende des Elements')}</Option>
                <Option {if $pluginConfig->position_footer_lang=='before'} selected {/if} value="before" >{__('vor dem Element')}</Option>
                <Option {if $pluginConfig->position_footer_lang=='after'} selected {/if} value="after" >{__('Nach dem Element')}</Option>
                <Option {if $pluginConfig->position_footer_lang=='html'} selected {/if} value="html" >{__('Inhalt des Elements ersetzen')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie an, wie Sie die Auswahl einfügen möchten.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text css-label">{__('Sprachauswahl als Dropdown anzeigen?')}</span>
            </div>
            <select id="dropdown_footer_lang" name="dropdown_footer_lang" class="form-control">
                <Option {if $pluginConfig->dropdown_footer_lang=='Y'} selected {/if} value="Y">{__('Ja')}</Option>
                <Option {if $pluginConfig->dropdown_footer_lang=='N'} selected {/if} value="N">{__('Nein')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Mit dieser Option wird die Ansicht der Sprachauswahl am Seitenende konfiguriert.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text css-label">{__('Zusätzliche Klasse für die Formatierung (optional)')}</span>
            </div>
            <input type="text" name="class_footer_lang" class="form-control" value="{$pluginConfig->class_footer_lang}" placeholder="{__('css Klassen')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Tragen Sie hier zusätzliche Klassen ein um die Sichtbarkeit oder andere Styles individueller zu steuern.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
    </fieldset>

    <div class="ml-auto col-sm-6 col-xl-auto">
        <button name="a" type="submit" value="" class="btn btn-outline-primary btn-block save">
            <i class="fas fa-save"></i>&nbsp;{__('Konfiguration speichern')}
        </button>
    </div>
</form>
