{if !empty($noServerAvailable) }
	<div class="alert alert-danger clear">
		<p>Es tut uns leid, der Sprachserver ist derzeit nicht erreichbar.</p>
	</div>
{else}

{if $cFehler}
	<div class="alert alert-danger clear">
	{foreach from=$cFehler item=er} 
		<p>{$er['text']}</p>
	{/foreach}
	</div>
{/if}


{if !empty($cHinweisSprache)} 
<div class="alert alert-success">
<p>{$cHinweisSprache}</p>
</div>
{/if}

<div class="panel panel-default" id="sprachimport" >
	<div class="panel-heading"><h3 class="panel-title">Ihre Lizenzen f&uuml;r Shop Sprachen</h3></div>
	<div class="panel-body">
		<p>Hier k&ouml;nnen Sie die Shop- Funktionsvariablen in den jeweils gekauften Sprachen importieren.</p>
		{$lizenzInfo}
		
		<form id="ara-sprachimport"  method="post" action="">
			{$jtl_token}
			<input type="hidden" class="action" value="import" name="cssAdminSprachAction">
			<input type="hidden" class="language" name='langISO' id='langISO' value='{* $lang->cISO *}'>
		</form>
	</div>
</div>

<div id="sprachModal" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Bitte beachten Sie</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
				<p style="color:#f90000">
					Beachten Sie, dass Ihre bisherigen Texte und Mail-Vorlagen &uuml;berschrieben werden.
					Selbst gemachte &auml;nderungen vorab sichern und nachtr&auml;glich wiederherstellen!
					Selber angelegte Sprachvariablen werden nicht &uuml;berschrieben.
				</p>			
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Abbrechen</button>
        <button type="button" class="btn btn-default  ok-button" data-form="" data-dismiss="modal" onclick='$("#sprachimport form").submit();'>OK</button>
      </div>
    </div>

  </div>
</div>

{if is_array($cFehler)}
<script>
jQuery(document).ready(function() {
	{foreach $cFehler as $fe }
		console.log("{$fe['text']}");	
		$.css_easMailVorlage.notice("warning","{$fe['text']}");		
	{/foreach}
})	
</script>
{/if}
	<script>
	jQuery(document).ready(function() {
		$(document).on("click", "#sprachimport .css-click-event" , function() {
			$("#sprachimport .action").val($(this).data('action'));			
			$("#sprachimport .language").val($(this).data('lang'));			
			if($(this).data('action')=='testmodus') {
				$.css_easMailVorlage.post_data(document.location.href,"form=#ara-sprachimport&checkLang=true&lang="+ $(this).data('lang'));
			} else {
				$("#sprachModal").modal('show');
			}
			//			$("#sprachimport form").submit();
		});
	});
	</script>


{/if}
